Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_DIOP_Protocol_Factory Class Reference

`#include <DIOP_Factory.h>`

Inheritance diagram for TAO_DIOP_Protocol_Factory:

[legend]
Collaboration diagram for TAO_DIOP_Protocol_Factory:

[legend]
List of all members.

## Public Methods
| TAO_DIOP_Protocol_Factory (void)
| Constructor. More...
virtual | ~TAO_DIOP_Protocol_Factory (void)
| Destructor. More...
virtual int | init (int argc, ACE_TCHAR *argv[])
| Dynamic linking hook. More...
virtual int | match_prefix (const ACE_CString &prefix)
| Verify prefix is a match. More...
virtual const char * | prefix (void) const
| Returns the prefix used by the protocol. More...
virtual char | options_delimiter (void) const
| Return the character used to mark where an endpoint ends and where its options begin. More...
Protocol factory methods
Check Protocol_Factory.h for a description of these methods.
virtual TAO_Acceptor * | make_acceptor (void)
virtual TAO_Connector * | make_connector (void)
virtual int | requires_explicit_endpoint (void) const
## Private Attributes
int | major_
| Changing the version number can be used to provide backwards compatibility with old clients. More...
int | minor_

## Constructor & Destructor Documentation

TAO_DIOP_Protocol_Factory::TAO_DIOP_Protocol_Factory | ( | void |  | ) |

| Constructor.

TAO_DIOP_Protocol_Factory::~TAO_DIOP_Protocol_Factory | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_DIOP_Protocol_Factory::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[virtual]`

| Dynamic linking hook. Reimplemented from TAO_Protocol_Factory.

TAO_Acceptor * TAO_DIOP_Protocol_Factory::make_acceptor | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Protocol_Factory.

TAO_Connector * TAO_DIOP_Protocol_Factory::make_connector | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Protocol_Factory.

int TAO_DIOP_Protocol_Factory::match_prefix | ( | const ACE_CString & | prefix | ) | `[virtual]`

| Verify prefix is a match. Reimplemented from TAO_Protocol_Factory.

char TAO_DIOP_Protocol_Factory::options_delimiter | ( | void |  | ) | const`[virtual]`

| Return the character used to mark where an endpoint ends and where its options begin. Reimplemented from TAO_Protocol_Factory.

const char * TAO_DIOP_Protocol_Factory::prefix | ( | void |  | ) | const`[virtual]`

| Returns the prefix used by the protocol. Reimplemented from TAO_Protocol_Factory.

int TAO_DIOP_Protocol_Factory::requires_explicit_endpoint | ( | void |  | ) | const`[virtual]`

| Reimplemented from TAO_Protocol_Factory.

## Member Data Documentation

int TAO_DIOP_Protocol_Factory::major_`[private]`

| Changing the version number can be used to provide backwards compatibility with old clients.

int TAO_DIOP_Protocol_Factory::minor_`[private]`

The documentation for this class was generated from the following files:

- DIOP_Factory.h
- DIOP_Factory.cpp